Bug 34757 - Make MAC address mandatory for UCC clients
Make MAC address mandatory for UCC clients
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: UCS Integration
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Lukas Walter
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-07 11:21 CEST by Moritz Muehlenhoff
Modified: 2014-06-12 09:19 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-05-07 11:21:35 CEST
During the creation of a UCC client the MAC address is not mandatory. For some use cases the MAC address is in fact optional: UCC terminal servers with a static IP address. But this is a corner case and even for such servers the overhead is minimal and recording the MAC address is harmless.

On the other hand, a typical UCC client w/o a MAC address has non-working DHCP and a broken rollout, so we should make MAC addresses mandatory during creation of a UCC computer in the UMC.
Comment 1 Lukas Walter univentionstaff 2014-05-08 14:33:20 CEST
The "required" flag has been set for the MAC adress

ucc-management-integration 2.0.6-1.68.201405081420 (svn 50009)

Changelog: svn 50013




QA: On an UCC server with current ucc-management-integration package, create a new UCC computer object. The MAC address should be marked as required ("*"), and creating the object should not be possible without setting a value for this field.
Comment 2 Lukas Walter univentionstaff 2014-05-08 15:22:28 CEST
Wrong version, correct new version is 2.0.7-1.69.201405081520
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-09 08:39:48 CEST
Ok, the MAC address is now mandatory when creating new clients or when editing old clients w/o the MAC address.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:57 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".